VisualEditor: VE will not save multiple consecutive references
Closed, ResolvedPublic

Description

Following a report of the issue by a user, I attempted to add multiple consecutive references. I began with bare URLs and started with 6. You can see that VE thinks it is going okay (http://en.wikipedia.org/wiki/File:VEmultiref.png), but when you save it only saves one (http://en.wikipedia.org/w/index.php?title=User%3AMdennis_%28WMF%29%2Fsandbox&diff=566304458&oldid=566304152)

I tested it all the way down to two.

In case it was an issue with bare refs, I tried it using citation templates, and it would also not save two in a row. It still only saved one:
http://en.wikipedia.org/w/index.php?title=User%3AMdennis_%28WMF%29%2Fsandbox&diff=566306613&oldid=566306049

I'm using Chrome, Windows 7.


Version: unspecified
Severity: normal

bzimport set Reference to bz52228.
Mdennis-WMF created this task.Via LegacyJul 29 2013, 5:03 PM
Catrope added a comment.Via ConduitJul 30 2013, 9:14 PM

This happens because we send Parsoid something like

<span about="undefined" typeof="mw:Extension/ref" data-mw="..."></span><span about="undefined" typeof="mw:Extension/ref" data-mw="..."></span>

which then gets about-grouped. We need to just drop the about attribute if we don't have it.

Ironically we've had breakage in the other direction before, where Parsoid output multiple adjacent images with about="null". Karma's a bitch :)

gerritbot added a comment.Via ConduitJul 30 2013, 9:51 PM

Change 76836 had a related patch set uploaded by Catrope:
Remove the DM 'about' attribute from references and reference lists

https://gerrit.wikimedia.org/r/76836

gerritbot added a comment.Via ConduitJul 30 2013, 10:12 PM

Change 76836 merged by jenkins-bot:
Remove the DM 'about' attribute from references and reference lists

https://gerrit.wikimedia.org/r/76836

Jdforrester-WMF added a comment.Via ConduitJul 30 2013, 10:13 PM

Fixed and will get deployed in a little while.

Thryduulf added a comment.Via ConduitAug 12 2013, 4:36 PM
  • Bug 52269 has been marked as a duplicate of this bug. ***
Thryduulf added a comment.Via ConduitAug 27 2013, 9:54 AM

Users are reporting that VE is still not saving multiple references:

Reported today by The Devil's Advocate
if I add multiple citations to back a statement, the Visual Editor only saves the first citation I added. This happened once when I added three citations to back a claim and had to add each one individually over the course of three edits and again just now when I had to add a second citation after it didn't get saved. Multiple citations can be added if they are separate as I had added a citation for another statement in the same edit and it was saved.

Reported on the 22nd by Sue Gardner
Last night I created a new article with multiple references, and when I saved the page many of the references disappeared and some I think had jumped around. (I didn't save-as-I-went -- I wrote the whole thing and saved once, at the end.) I can't describe exactly what happened, but here's a diff: [1] the latest revision [2] is roughly what I was aiming to do, and the earlier revision [3] is what I actually achieved. (Ignore the missing reflist: I just hadn't gotten around to figuring out how to add it in VE yet, so I did it afterwards in wiki syntax.)

So, in my initial VE save, it looks like references #5, 6 & 7 disappeared as did #14 and 15. (Numbers taken from the latest revision.) This suggests to me there's a problem with VE saving multiple adjacent references -- when there are multiples adjacent, it seems to save only the first. I think also some references jumped around, but I'm not 100% sure about that.

[1] https://en.wikipedia.org/w/index.php?title=Mansplaining&diff=569638597&oldid=569526861
[2] https://en.wikipedia.org/w/index.php?title=Mansplaining&oldid=569638597
[3] https://en.wikipedia.org/w/index.php?title=Mansplaining&oldid=569526861

Jdforrester-WMF added a comment.Via ConduitAug 30 2013, 1:09 AM

(In reply to comment #6)

Users are reporting that VE is still not saving multiple references:

Unfortunately, this is "again", not "still", and is caused by bug 53434 in Parsoid, I think. :-( Marking this as "fixed" but highlighting on that one how urgent this is. Sorry for the disruption.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.